// JavaScript Document
$(document).ready(function(){

	//全选或者全部选
	$("#checkall").click(function(){
		if($(this).attr("checked")){
			$("input[name=checkid]").each(function(){
				$(this).attr("checked",true);								   
												   });
			}else{
				$("input[name=checkid]").each(function(){
				$(this).attr("checked",false);								   
												   });
				}						  
								  });
	
   //删除数据
	$("#delete").click(function(){
		$("#adddiv,#modifydiv,#searchdiv").hide();
		var fileurl="../"+$("#fileurl").val()+"/delete.php";
		var checkid=getcheckid();
		if(checkid==""){
		alert("请先选中要删除的数据");
		return false;
		}
		var rs=confirm("是否确定删除编号为："+checkid+"的数据，删除后将不可恢复。");		
        if(rs==true)
		$.post(fileurl,{checkid:checkid},function(data){
					alert(data);
					window.location.href=window.location.href;
												  });
			});
	//添加数据
	$("#add").click(function(){
		$("#modifydiv,#searchdiv").hide();
	  var fileurl="../"+$("#fileurl").val()+"/add.php";
	  $.post(fileurl,{},function(data){
			$("#hidedivs").html(data);
			});
							 });
	//修改数据
	$(".modify").click(function(){
		$("#adddiv,#searchdiv").hide();
	  var fileurl="../"+$("#fileurl").val()+"/modify.php";
	  var checkid=$(this).parent("td").attr("id");
	  $.post(fileurl,{checkid:checkid},function(data){
			$("#hidedivs").html(data);
			});
	 //$("#hidedivs").reload();
							 });
	//查询数据
	$("#search").click(function(){
	$("#adddiv,#modifydiv").hide();
	 $("#searchdiv").show();
							 });
						   });


//获取选中项ID
function getcheckid(){
     var checkbox= document.getElementsByName("checkid");
     var checkid = "";
	 var len=checkbox.length;
   for( var i=0;i<len;i++ ){
    if(checkbox[i].checked ){
    checkid += checkbox[i].value+',';
    }
   }
   checkid = checkid.substr(0,checkid.length-1);
   return checkid;
	 }
	 
//表格排序
function convert(data,type) //数据类型转换函数
{
    switch (type)
    {
        case "int": //整型
            return parseInt(data);
            break;
        case "float": //浮点型
            return parseFloat(data);
            break;
        case "date": //日期型
            return new Date(Date.parse(data));
            break;
        default: //字符型
            return data.toString();
    }
}


function returncompare(cellIndex,type) //比较函数生成器
{
    return function compare(oTR1,oTR2) //比较函数
            {
                if (oTR1.cells[cellIndex].order) //排序(order为自定义属性)
                {
                    var str1 = convert(oTR1.cells[cellIndex].order,type); //数据类型转换
                    var str2 = convert(oTR2.cells[cellIndex].order,type); //数据类型转换
                }
                else //按照td内文本排序
                {
                    var str1 = convert(oTR1.cells[cellIndex].innerHTML,type); //数据类型转换
                    var str2 = convert(oTR2.cells[cellIndex].innerHTML,type); //数据类型转换
                }
    
                if (str1 > str2) //比较
                {
                    return 1;
                }
                else if (str1 < str2)
                {
                    return -1;
                }
                else
                {
                    return 0;
                }
            }
}



function tableSort(tableId,cellIndex,type) //排序表格ID,排序列索引,排序数据类型
{
    var oTable = document.getElementById(tableId); //表格
    var oTBody = oTable.tBodies[0]; //表格的第一个tbody
    var rows = oTBody.rows; //tbody的rows
    var rowsa = new Array();
    for (var i=0;i<rows.length;i++) //将rows放入数组,用于排序
    {
        rowsa[i] = rows[i];
    }
    
    if (oTable.lastSortCol == cellIndex) //判断是否和上一次排序的列索引相等
    {
        rowsa.reverse(); //反转
    }
    else
    {
        rowsa.sort(returncompare(cellIndex,type)); //数组排序，调用比较函数
    }
    
    var oDF = document.createDocumentFragment(); //创建文档碎片
    for(var j=0;j<rowsa.length;j++) //将排序后数组附加于文档碎片
    {
        oDF.appendChild(rowsa[j]);
    }
    
    oTBody.appendChild(oDF); //将文档碎片附加于tbody
    
    oTable.lastSortCol = cellIndex; //自定义属性,用于保存上一次排序的列索引


    //以下代码：实现排序时图片的更换
    var oTHead = oTable.tHead;
    var cells = oTHead.rows[0].cells;
    
    
    for(var k=0;k<cells.length;k++)
    {
        if ((cells[k].className =="desc" || cells[k].className =="asc") && cells[k].cellIndex != cellIndex)
        {
            cells[k].className = "orderby";
        }
    }
    
    if (cells[cellIndex].className == "asc")
    {
        cells[cellIndex].className = "desc";
    }
    else
    {
        cells[cellIndex].className = "asc"
    }
    //
tablebg(tableId,cellIndex);
}

//表格行变色
function tablebg(tableId,cellIndex){
	var oTable = document.getElementById(tableId); //表格
    var oTBody = oTable.tBodies[0]; //表格的第一个tbody
    var rows = oTBody.rows; //tbody的rowa
	//var celnum=rows[0].cells.length;
	var len=rows.length;
	for(var i=0;i<len;i++){
		//for(var j=0;j<celnum;j++){
		//	rows[i].cells[j].style.backgroundColor="";
		//	}
		rows[i].style.backgroundColor="";
		if(i%2==1)
		rows[i].style.backgroundColor="#F2F2F2";
		//rows[i].cells[cellIndex].style.backgroundColor="#E4EDF9";
		}
	
	}
	// --- 设置cookie
 function setCookie(sName,sValue,expireHours) {
  var cookieString = sName + "=" + escape(sValue);
  //;判断是否设置过期时间
  if (expireHours>0) {
    var date = new Date();
    date.setTime(date.getTime + expireHours * 3600 * 1000);
    cookieString = cookieString + "; expire=" + date.toGMTString();
  }
  document.cookie = cookieString+";path=/";
 }
 
 //--- 获取cookie
 function getCookie(sName) {
   var aCookie = document.cookie.split("; ");
   for (var j=0; j < aCookie.length; j++){
  var aCrumb = aCookie[j].split("=");
  if (escape(sName) == aCrumb[0])
    return unescape(aCrumb[1]);
   }
   return null;
 }